import javax.swing.*;

int [ ] x;
int [ ] y;
int [ ] w;
int [ ] h;

void setup()
{
  size(500, 500);
  
  loadRectangleData();
}

void draw()
{
  background(25);
  for (int i = 0; i < x.length; i = i + 1)
  {
    rect(x[i], y[i], w[i], h[i]);
  }
}

void loadRectangleData()
{
  String filename =
      JOptionPane.showInputDialog("Enter name of data file:");
  String [ ] data = loadStrings(filename);
  
  x = new int[data.length / 4];
  y = new int[data.length / 4];
  w = new int[data.length / 4];
  h = new int[data.length / 4];
  
  int pos = 0;
  
  for (int i = 0; i < data.length; i = i + 4)
  {
    x[pos] = int(data[i]);
    y[pos] = int(data[i+1]);
    w[pos] = int(data[i+2]);
    h[pos] = int(data[i+3]);
    pos = pos + 1; // move to next spot in destination arrays
  }
}