void setup()
{
  size(500, 500, P3D);
  translate(250, 450, 0);
  
  drawBranch(8, 200); // level and height
}

void draw() { }

void drawBranch(int depth, int length)
{
  if (depth <= 1)
  {
    line(0, 0, 0, -1*length);
  }
  else
  {
    line(0, 0, 0, -1*length);
    
    translate(0, -1*length); // move to end of branch
    
    rotate(radians(-45));
    drawBranch(depth-1, length/2); // left sub-branch
    
    rotate(radians(90));
    drawBranch(depth-1, length/2); // right sub-branch
    
    rotate(radians(-45)); // back to original position
    translate(0, length); // back to base of branch
  }
}