int [ ] values;
int position = 0;
int round = 1;
color [] colors;

void setup()
{
  size(600, 600);
  
  int arraySize = int(random(12, 29)); // 12-28 values to be sorted
  values = new int[arraySize];
  colors = new color[arraySize];
  
  for (int i = 0; i < arraySize; i = i + 1) // fill array
  {
    values[i] = int(random(2, 101)); // value between 2 and 100
    colors[i] = color(random(256), random(256), random(256));
  }
  
  frameRate(5);
}

void draw()
{
  background(0);
  
  fill(255);
  text("Bubblesort round " + round, 275, 50);
  
  for (int i = 0; i < values.length; i = i + 1)
  {
    // draw each bar, side by side
    fill(colors[i]);
    int barLength = values[i];
    
    rect(i * 20 + 20, 300, 20, -1 * barLength); // draw each bar shifted 20px
    
    if (i == position)
    {
      fill(246, 255, 5); // highlight current position in yellow
    }
    else
    {
      fill(255);
    }
    text(values[i] + "", i*20+20, 325); // display each bar's value
  }
  
  update();
} // end of draw()

void update() //was mouseClicked()
{
  if (round < values.length)
  {
    // Perform one comparison and swap if necessary
    if (values[position] > values[position+1])
    {
      // Swap two out-of-order values
      int temp = values[position];
      values[position] = values[position+1];
      values[position+1] = temp;
    
      color t = colors[position];
      colors[position] = colors[position+1];
      colors[position+1] = t;
    }
  
    position = position + 1;
  
    if (position >= values.length - 1)
    {
      // wrap around to beginning
      position = 0;
      round = round + 1;
    }
  }
}