int rotate_amount = 0;

float r, g, b;
float r1, g1, b1;

void setup()
{
  size(500, 500, P3D);
  rectMode(CENTER);
  setColors();
}

void draw()
{
  background(25);
  fill(r, g, b);
  
  pushMatrix(); // save original coordinates
  translate(250, 250); // move origin to center
  rotateX(radians(mouseY));
  rotateY(radians(mouseX));
  rotateZ(radians(rotate_amount));
  box(200, 50, 20); // length, height, depth
  noStroke();
  sphere(50); //box(100, 100, 100);
  stroke(0);
  popMatrix(); // reset changes to coordinate system
  
  pushMatrix();
  fill(r1, g1, b1);
  translate(250, 350); // move origin to (250,350)
  rotateX(radians(mouseY));
  rotateY(radians(mouseX));
  rotateZ(radians(rotate_amount));
  box(100, 100, 50);
  popMatrix();
  
  rotate_amount = rotate_amount + 1;
  
  if (rotate_amount % 25 == 0)
  {
    setColors();
  }
  
}

void setColors()
{
  r = random(256);
  g = random(256);
  b = random(256);
  r1 = random(256);
  g1 = random(256);
  b1 = random(256);
}

void mousePressed()
{
  setColors();
}